Package com.logicaldoc.core.security.spring

# Class AdminAuthenticationProvider

java.lang.Object
com.logicaldoc.core.security.spring.AdminAuthenticationProvider

All Implemented Interfaces:
  `org.springframework.security.authentication.AuthenticationProvider`

public class AdminAuthenticationProvider extends Object implements org.springframework.security.authentication.AuthenticationProvider
This `AuthenticationProvider` checks if the provided password matches the context property 'adminpswd' in cases when the database is not available or the max concurrent sessions number is reached.

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`AdminAuthenticationProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`authenticate(org.springframework.security.core.Authentication authentication)`
`boolean`
`supports(Class<?> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdminAuthenticationProvider

public AdminAuthenticationProvider()

## Method Details

### authenticate

public org.springframework.security.core.Authentication authenticate(org.springframework.security.core.Authentication authentication) throws org.springframework.security.core.AuthenticationException

Specified by:
  `authenticate` in interface `org.springframework.security.authentication.AuthenticationProvider`
Throws:
  `org.springframework.security.core.AuthenticationException`

### supports

public boolean supports(Class<?> arg0)

Specified by:
  `supports` in interface `org.springframework.security.authentication.AuthenticationProvider`